---
title: Tips
slug: Tools/Tips
tags:
  - Dev Tools
  - Tools
  - Web Development
---
<div>{{ToolsSidebar}}</div>

<h2 id="General">General</h2>

<p>Screenshots:</p>

<ul>
 <li>Entire page: Click the screenshot button (<img alt="Button to take screenshots of the entire page" src="https://mdn.mozillademos.org/files/14191/Screenshot%20button.png" style="height: 18px; width: 18px;">; <a href="/en-US/docs/Tools/Tools_Toolbox#Extra_tools">needs to be enabled</a> first).</li>
 <li>Viewport: Click the screenshot button (<img alt="Button to take screenshots of the entire page" src="https://mdn.mozillademos.org/files/14191/Screenshot%20button.png" style="height: 18px; width: 18px;">) in <a href="/en-US/docs/Tools/Responsive_Design_Mode#Responsive_Design_Mode_controls">Responsive Design Mode</a>.</li>
 <li>Node: Right-click a node within the Inspector and click <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#Screenshot_Node">"Screenshot Node"</a>.</li>
 <li>Via <a href="/en-US/docs/Tools/Web_Console/Helpers">Web Console command</a>: <code>screenshot &lt;filename.png&gt; --fullpage</code>.</li>
</ul>

<p>Settings:</p>

<ul>
 <li>Choose between a <a href="/en-US/docs/Tools/Settings#Choose_DevTools_theme">light and a dark theme</a> for the developer tools.</li>
 <li><a href="/en-US/docs/Tools/Settings#Editor_Preferences">Change the keyboard bindings</a> to Vim, Emacs or Sublime Text if you're used to different shortcuts.</li>
 <li>Check or uncheck the different tools to enable or disable them. (There are more than the default tools!)</li>
</ul>

<h2 id="Page_Inspector">Page Inspector</h2>

<p>In the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#HTML_pane">markup view</a>:</p>

<ul>
 <li>Press <kbd>H</kbd> with a node selected to hide/show it.</li>
 <li>Press <kbd>Backspace</kbd> or <kbd>Del</kbd> with a node selected to delete it.</li>
 <li><kbd>Alt</kbd> + click on a node to expand or collapse it and all its descendants.</li>
 <li>Click on the last <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#HTML_breadcrumbs">breadcrumb button</a> to scroll the selection into view in the inspector.</li>
 <li>Click the "ev" icon besides a node to <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_event_listeners">see all event listeners attached to it</a>.</li>
 <li>Press <kbd>S</kbd> with a node selected to see it in the page (same as right-click a node and click <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#Scroll_Into_View">"Scroll Into View"</a>).</li>
 <li>Right-click a node and click <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#Use%20in%20Console">"Use in Console"</a> to <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter">command line</a> as <code>temp<var>N</var></code> variable.</li>
</ul>

<p>When <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#Select_element_button">selecting elements</a>:</p>

<ul>
 <li><kbd>Shift</kbd> + click to select an element but keep selecting (picker mode doesn't disengage).</li>
 <li>Use <kbd>←</kbd>/<kbd>→</kbd> to navigate to parents/children elements (if they're hard to select).</li>
</ul>

<p>In the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#CSS_pane">rules view</a>:</p>

<ul>
 <li>Click the inspector icon (<img alt="" src="https://mdn.mozillademos.org/files/14185/picker.png" style="height: 18px; width: 18px;">) next to any selector to highlight all elements that match it.</li>
 <li>Click the inspector icon (<img alt="" src="https://mdn.mozillademos.org/files/14185/picker.png" style="height: 18px; width: 18px;">) next to the <code>element{}</code> rule to lock the highlighter on the current element.</li>
 <li>Right-click any property and select "Show MDN Docs" to <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Get_help_for_CSS_properties">view the MDN docs for this property</a>.</li>
 <li>Click on the filter icon (<img alt="" src="https://mdn.mozillademos.org/files/14187/filter.png" style="height: 19px; width: 18px;">) next to an overridden property to <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_CSS#Overridden_declarations">find which other property overrides it</a>.</li>
 <li>Right-click on a name, value, or rule to copy anything from the name, the value, the declaration or the whole rule to your clipboard.</li>
</ul>

<h2 id="Web_Console">Web Console</h2>

<p>In all panels:</p>

<ul>
 <li><kbd>Esc</kbd> opens the <a href="/en-US/docs/Tools/Web_Console/Split_console">split console</a>; useful when debugging, or inspecting nodes</li>
</ul>

<p>In the <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter">command line</a>:</p>

<ul>
 <li><code><a href="/en-US/docs/Tools/Web_Console/Helpers#$0">$0</a></code> references the currently selected node.</li>
 <li><code><a href="/en-US/docs/Tools/Web_Console/Helpers#$">$()</a></code> is a shortcut to {{domxref("document.querySelector()")}}.</li>
 <li><code><a href="/en-US/docs/Tools/Web_Console/Helpers#$$">$$()</a></code> returns an array with the results from {{domxref("document.querySelectorAll()")}}.</li>
 <li><code><a href="/en-US/docs/Tools/Web_Console/Helpers#copy">copy</a></code> copies anything as a string.</li>
 <li>Right-click a node in the Inspector and click <a href="/en-US/docs/Tools/Page_Inspector/How_to/Examine_and_edit_HTML#Use%20in%20Console">"Use in Console"</a> to create a <code><a href="/en-US/docs/Tools/Web_Console/Helpers#tempN">temp<em>N</em></a></code> variable for it.</li>
 <li><code><a href="/en-US/docs/Tools/Web_Console/Helpers#cd">cd</a></code> switches the JavaScript evaluation context to a different iframe in the page.</li>
 <li><code><a href="/en-US/docs/Web/API/Console/table">console.table()</a></code> displays tabular data as table.</li>
 <li><code><a href="/en-US/docs/Tools/Web_Console/Helpers#help">help</a></code> opens the MDN page describing the available commands.</li>
 <li><code>:screenshot &lt;filename.png&gt; --fullpage</code> saves a screenshot to your downloads directory using the optional file name. If no filename is included, the file name will be in this format:<br>
  <br>
  <code>Screen Shot date at time.png</code><br>
  <br>
  The --fullpage parameter is optional. If you include it, the screenshot will be of the whole page, not just the section visible in the browser windows. The file name will have -fullpage appended to it as well. See <a href="/en-US/docs/Tools/Web_Console/Helpers">Web Console Helpers</a> for all parameters.</li>
</ul>

<p>In the console output:</p>

<ul>
 <li>Click on the inspector icon (<img alt="" src="https://mdn.mozillademos.org/files/14185/picker.png" style="height: 18px; width: 18px;">) next to an element in the output to <a href="/en-US/docs/Tools/Web_Console/Rich_output#Highlighting_and_inspecting_DOM_nodes">select it within the Inspector</a>.</li>
 <li>Check <a href="/en-US/docs/Tools/Settings#Common_preferences">"Enable persistent logs"</a> in the settings to keep logged messages from before even after navigation.</li>
 <li>Check <a href="/en-US/docs/Tools/Settings#Web_Console">"Enable timestamps"</a> in the settings to show timestamps besides the logged messages.</li>
</ul>

<h2 id="Debugger">Debugger</h2>

<ul>
 <li>Skip JavaScript libraries in debugging sessions via the black box icon (<img alt="Icon for black boxing a JavaScript source" src="https://mdn.mozillademos.org/files/14189/Black%20boxing.png" style="height: 18px; width: 18px;">).</li>
 <li>Press <kbd>Ctrl</kbd>+<kbd>Alt</kbd>+<kbd>F</kbd> to search in all scripts.</li>
 <li>Press <kbd>Ctrl</kbd>+<kbd>D</kbd> to search for a function definition.</li>
 <li>Press <kbd>Ctrl</kbd>+<kbd>L</kbd> to go to a specific line.</li>
</ul>

<h2 id="Style_Editor">Style Editor</h2>

<ul>
 <li>The black box icon (<img alt="Icon for black boxing a JavaScript source" src="https://mdn.mozillademos.org/files/14189/Black%20boxing.png" style="height: 18px; width: 18px;">) in the style sheet pane toggles the visibility of a style sheet.</li>
 <li>Click an <a href="/en-US/docs/Tools/Style_Editor#The_media_sidebar">@media rule</a> to apply it in <a href="/en-US/docs/Tools/Responsive_Design_Mode">Responsive Design Mode</a>.</li>
 <li>Click the import button (<img alt="Button to import a style sheet from the file system" src="https://mdn.mozillademos.org/files/14193/Import%20button.png" style="height: 18px; width: 18px;">) to import a style sheet or the create button (<img alt="Button to create a new style sheet" src="https://mdn.mozillademos.org/files/14195/Create%20style%20sheet%20button.png" style="height: 18px; width: 18px;">) to create a new one.</li>
 <li>Click the options button in the <a href="/en-US/docs/Tools/Style_Editor#The_style_sheet_pane">style sheet pane</a> and click <a href="/en-US/docs/Tools/Style_Editor#Source_map_support">"Show original sources"</a> to toggle the display of CSS preprocessor files.</li>
</ul>

<h2 id="Network_Monitor">Network Monitor</h2>

<ul>
 <li>Click the request summary to <a href="/en-US/docs/Tools/Network_Monitor#Performance_analysis">compare performance of cache vs. no-cache page loading</a>.</li>
 <li>When a request is selected click <a href="/en-US/docs/Tools/Network_Monitor#Edit_and_Resend">"Edit and Resend"</a> to modify its headers and send it again.</li>
 <li>Check <a href="/en-US/docs/Tools/Settings#Common_preferences">"Enable persistent logs"</a> in the settings to keep requests from before even after navigation.</li>
 <li>Hover the <a href="/en-US/docs/Tools/Network_Monitor#Cause_column">"js" icon within the "Cause" column</a> to see the JavaScript stack trace, which caused the request.</li>
 <li>Check <a href="/en-US/docs/Tools/Settings#Advanced_settings">"Disable HTTP Cache (when toolbox is open)"</a> in the settings to disable the network cache while debugging network issues.</li>
</ul>

<h2 id="Storage_Inspector">Storage Inspector</h2>

<ul>
 <li>Right-click the column headers to open a menu allowing to toggle the display of the columns.</li>
 <li>Right-click an entry and click "Delete <var>name</var>" to delete it or "Delete All" to delete all entries.</li>
 <li>Select an entry to see the parsed value of it in the sidebar.</li>
</ul>
